summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-04-28 23:45:57 +0200
committerHolger Levsen <holger@layer-acht.org>2014-04-28 23:45:57 +0200
commit00a26f7e5aa13f4e640d5b5543c604c72cfde1b8 (patch)
treef4facacf629a658af3374f6b5c43246d4a101d58
parentc1db5f6ce9b35448b3d71c3e25ba12c118ed6bf0 (diff)
downloadjenkins.debian.net-00a26f7e5aa13f4e640d5b5543c604c72cfde1b8.tar.xz
g-i: immediatly abort if installation is hanging, do not try to boot that system...
-rwxr-xr-xbin/g-i-installation.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 0994b127..70136286 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -856,9 +856,14 @@ monitor_system() {
if [ $PIXEL -lt 400 ] ; then
# unless TRIGGER_MODE is empty, matching images means its over
if [ ! -z "$TRIGGER_MODE" ] ; then
- echo "Warning: snapshot_${PRINTF_NR}.ppm snapshot_${PRINTF_OLD}.ppm match, ending installation."
+ echo "Warning: snapshot_${PRINTF_NR}.ppm snapshot_${PRINTF_OLD}.ppm match or almost match, ending installation."
ls -la snapshot_${PRINTF_NR}.ppm snapshot_${PRINTF_OLD}.ppm
- figlet "Mode $MODE hangs."
+ if [ "$MODE" = "install" ] ; then
+ echo "System in $MODE mode is hanging, let's end this."
+ # hanging install = broken install
+ exit 1
+ fi
+ echo "System in $MODE mode is hanging, moving on."
break
else
# this is only reached once in rescue mode